package com.mobvcasting.intenttester;

import android.app.Activity;
import android.content.Intent;
import android.net.Uri;
import android.os.Bundle;
import android.view.View;
import android.view.View.OnClickListener;
import android.widget.Button;

public class IntentTester extends Activity {

	Button sendButton;
	Button emailButton;
	Button phoneButton;
	
    @Override
    public void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        setContentView(R.layout.main);

        sendButton = (Button) this.findViewById(R.id.Button01);
        sendButton.setOnClickListener(new OnClickListener(){
        	public void onClick(View v) {
        		Intent smsIntent = new Intent(Intent.ACTION_VIEW);
        		smsIntent.setData(Uri.parse("smsto:12125551212"));
        		smsIntent.putExtra("sms_body","Body of Message");
        		startActivity(smsIntent);		
        	}
        });
        
        emailButton = (Button) this.findViewById(R.id.Button02);
        emailButton.setOnClickListener(new OnClickListener(){
        	public void onClick(View v) {
        		Intent emailIntent = new Intent(Intent.ACTION_VIEW);
        		emailIntent.setData(Uri.parse("mailto:nobody@nowhere.edu")); 
        		//?body=hello&subject=there can be added on for the default email client
        		startActivity(emailIntent);		
        	}
        });
        
        phoneButton = (Button) this.findViewById(R.id.Button03);
        phoneButton.setOnClickListener(new OnClickListener(){
        	public void onClick(View v) {
        		Intent phoneIntent = new Intent(Intent.ACTION_VIEW);
        		phoneIntent.setData(Uri.parse("tel:17188096659"));
        		startActivity(phoneIntent);		
        	}
        });
    }
}